io.undertow.protocols.http2

## Class Http2PushPromiseStreamSinkChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel<Http2Channel,AbstractHttp2StreamSourceChannel,AbstractHttp2StreamSinkChannel>
  - - io.undertow.protocols.http2.AbstractHttp2StreamSinkChannel
    - - io.undertow.protocols.http2.Http2StreamSinkChannel
      - - io.undertow.protocols.http2.Http2DataStreamSinkChannel
        - - io.undertow.protocols.http2.Http2PushPromiseStreamSinkChannel

All Implemented Interfaces:
  Http2Stream, Closeable, AutoCloseable, Channel, GatheringByteChannel, InterruptibleChannel, WritableByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSinkChannel, org.xnio.channels.SuspendableWriteChannel

    public class Http2PushPromiseStreamSinkChannel
    extends Http2DataStreamSinkChannel

Push promise channel

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from class io.undertow.protocols.http2.Http2DataStreamSinkChannel

`Http2DataStreamSinkChannel.TrailersProducer`

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPushedStreamId()`
`protected int` `grabFlowControlBytes(int bytes)` this stream is not flow controlled
`protected void` `writeBeforeHeaderBlock(ByteBuffer buffer)`

### Methods inherited from class io.undertow.protocols.http2.Http2DataStreamSinkChannel

`channelForciblyClosed, createFrameHeaderImpl, flush, getCompletionListener, getHeaders, getTrailersProducer, handleFlushComplete, isFlushRequiredOnEmptyBuffer, setCompletionListener, setTrailersProducer, write, write, write, writeFinal, writeFinal, writeFinal`

### Methods inherited from class io.undertow.protocols.http2.Http2StreamSinkChannel

`allocateAll, awaitWritable, awaitWritable, createFrameHeader, getStreamId`

### Methods inherited from class io.undertow.protocols.http2.AbstractHttp2StreamSinkChannel

`isLastFrame`

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel

`close, getAwaitWritableTimeout, getBuffer, getChannel, getCloseSetter, getIoThread, getOption, getWorker, getWriteSetter, getWriteThread, isBroken, isBufferFull, isFinalFrameQueued, isFirstDataWritten, isOpen, isReadyForFlush, isWriteResumed, isWritesShutdown, markBroken, preWriteTransform, resumeWrites, resumeWritesInternal, safeToSend, send, sendInternal, setOption, shutdownWrites, supportsOption, suspendWrites, transferFrom, transferFrom, wakeupWrites`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.undertow.protocols.http2.Http2Stream

`getStreamId`

### Method Detail

#### writeBeforeHeaderBlock

    protected void writeBeforeHeaderBlock(ByteBuffer buffer)

Overrides:
  `writeBeforeHeaderBlock` in class `Http2DataStreamSinkChannel`

#### grabFlowControlBytes

    protected int grabFlowControlBytes(int bytes)

this stream is not flow controlled

Overrides:
  `grabFlowControlBytes` in class `Http2StreamSinkChannel`
Parameters:
  `bytes` -
Returns:

#### getPushedStreamId

    public int getPushedStreamId()